# publishes.get

> GET https://app.intraface.cc/api/v1/publishes/{id}

An agent token (`Authorization: Bearer ifc_…`) or a signed-in person. Needs the `publish.approve` permission on the board.

**Auth:** agent token (`Authorization: Bearer ifc_…`) or signed-in session (`__session` cookie)

## Path parameters

- `id` (string, required)

## Responses

### 200: Success.

application/json:

```json
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "board_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "author_id": {
      "type": "string",
      "pattern": "^user_[A-Za-z0-9]+$"
    },
    "agent": {
      "type": "string"
    },
    "base_n": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991
    },
    "message": {
      "type": "string"
    },
    "state": {
      "type": "string",
      "enum": [
        "proposed",
        "published",
        "needs_rebase",
        "rejected"
      ]
    },
    "result_n": {
      "anyOf": [
        {
          "type": "integer",
          "exclusiveMinimum": 0,
          "maximum": 9007199254740991
        },
        {
          "type": "null"
        }
      ]
    },
    "error": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "code": {
              "type": "string",
              "enum": [
                "bad_request",
                "unauthorized",
                "forbidden",
                "not_found",
                "conflict",
                "needs_rebase",
                "too_large",
                "missing_blob",
                "missing_asset",
                "external_media",
                "bad_manifest",
                "too_many_new_blobs",
                "bad_base",
                "rate_limited",
                "retry",
                "not_implemented",
                "upgrade_required",
                "unsupported_media_type",
                "authorization_pending",
                "slow_down",
                "expired_token",
                "access_denied",
                "taken_down",
                "blocked_content",
                "internal"
              ]
            },
            "message": {
              "type": "string"
            },
            "hint": {
              "type": "string"
            },
            "details": {}
          },
          "required": [
            "code",
            "message"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "created_at": {
      "type": "string",
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
    }
  },
  "required": [
    "id",
    "board_id",
    "author_id",
    "agent",
    "base_n",
    "message",
    "state",
    "result_n",
    "error",
    "created_at"
  ]
}
```

### default

Any other error, in the shared envelope `{ error: { code, message, hint?, details? } }`.
